NL(1)

NOM
nl - Numéroter les lignes d'un fichier

SYNOPSIS
nl [OPTION] ... [FICHIER] ...

DESCRIPTION

Afficher chaque FICHIER sur la sortie standard en numérotant les lignes. L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-b, --body-numbering=STYLE
    utiliser STYLE pour numéroter les lignes du corps

-d, --section-delimiter=CC
    utiliser CC pour séparer les pages logiques

-f, --footer-numbering=STYLE
    utiliser STYLE pour numéroter les lignes de bas de page

-h, --header-numbering=STYLE
    utiliser STYLE pour numéroter les lignes d'en-tête

-i, --line-increment=N
    incrémenter le numéro de ligne de N à chaque ligne

-l, --join-blank-lines=N
    compter les groupes de N lignes vides comme une seule ligne

-n, --number-format=FORMAT
    insérer les numéros de ligne selon FORMAT

-p, --no-renumber
    ne pas réinitialiser la numérotation des lignes au début de chaque page logique

-s, --number-separator=CHAÎNE
    ajouter CHAÎNE après (si possible) le numéro de ligne

-v, --starting-line-number=NOMBRE
    utiliser N comme premier numéro de ligne sur chaque page logique

-w, --number-width=N
    utiliser N colonnes pour numéroter les lignes

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Par défaut, -v1 -i1 -l1 -sTAB -w6 -nrn -hn -bt -fn sont sélectionnées. CC se compose de deux caractères délimiteurs pour séparer les pages logiques. L'absence du deuxième caractère équivaut à « : ». Il faut entrer \\ pour \. STYLE est une des options parmi :

a   numéroter toutes les lignes

t   numéroter seulement les lignes non vides

n   ne pas numéroter les lignes

pBRE
    numéroter seulement les lignes ayant une concordance avec l'expression rationnelle basique BRE (« basic regular expression »)

FORMAT doit être choisi parmi :

ln  justifier à gauche, sans zéro de préfixe

rn  justifier à droite, sans zéro de préfixe

rz  justifier à droite, avec des zéros de préfixe

AUTEUR
Écrit par Scott Bartram et David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de nl à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <http://www.gnu.org/software/coreutils/nl>
aussi disponible localement à l’aide de la commande : info '(coreutils) nl invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Luc Froidefond <luc DOT froidefond AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.